# Make control socket mode 0660
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####
--- a/sendmail/control.c
+++ b/sendmail/control.c
@@ -137,7 +137,7 @@ opencontrolsocket()
 		}
 	}
 
-	if (chmod(ControlSocketName, S_IRUSR|S_IWUSR) < 0)
+	if (chmod(ControlSocketName, S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP) < 0)
 	{
 		save_errno = errno;
 		closecontrolsocket(true);
